Skip to main content
GET
/
v1
/
company
/
peers
Get Company Peers
curl --request GET \
  --url https://api.aries.com/v1/company/peers \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aries.com/v1/company/peers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aries.com/v1/company/peers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "peers": [
    "AAPL",
    "DELL",
    "WDC",
    "SNDK",
    "HPE",
    "PSTG",
    "HPQ",
    "NTAP",
    "SMCI",
    "IONQ",
    "QUBT",
    "CMPO"
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

symbol
string
required

Stock ticker symbol to research, such as AAPL.

Example:

"AAPL"

Response

Successful response

Response containing peer company tickers for comparison and competitor research.

peers
string[]

List of ticker symbols for companies in the same industry or sector